
module "vpn-gateway" {
  source = "terraform-aws-modules/vpn-gateway/aws"
  version = "3.7.2"
  connect_to_transit_gateway = var.connect_to_transit_gateway
  create_vpn_connection = var.create_vpn_connection
  create_vpn_gateway_attachment = var.create_vpn_gateway_attachment
  customer_gateway_id = var.customer_gateway_id
  local_ipv4_network_cidr = var.local_ipv4_network_cidr
  local_ipv6_network_cidr = var.local_ipv6_network_cidr
  remote_ipv4_network_cidr = var.remote_ipv4_network_cidr
  remote_ipv6_network_cidr = var.remote_ipv6_network_cidr
  tags = var.tags
  transit_gateway_id = var.transit_gateway_id
  tunnel1_dpd_timeout_action = var.tunnel1_dpd_timeout_action
  tunnel1_dpd_timeout_seconds = var.tunnel1_dpd_timeout_seconds
  tunnel1_enable_tunnel_lifecycle_control = var.tunnel1_enable_tunnel_lifecycle_control
  tunnel1_ike_versions = var.tunnel1_ike_versions
  tunnel1_inside_cidr = var.tunnel1_inside_cidr
  tunnel1_log_options = var.tunnel1_log_options
  tunnel1_phase1_dh_group_numbers = var.tunnel1_phase1_dh_group_numbers
  tunnel1_phase1_encryption_algorithms = var.tunnel1_phase1_encryption_algorithms
  tunnel1_phase1_integrity_algorithms = var.tunnel1_phase1_integrity_algorithms
  tunnel1_phase1_lifetime_seconds = var.tunnel1_phase1_lifetime_seconds
  tunnel1_phase2_dh_group_numbers = var.tunnel1_phase2_dh_group_numbers
  tunnel1_phase2_encryption_algorithms = var.tunnel1_phase2_encryption_algorithms
  tunnel1_phase2_integrity_algorithms = var.tunnel1_phase2_integrity_algorithms
  tunnel1_phase2_lifetime_seconds = var.tunnel1_phase2_lifetime_seconds
  tunnel1_preshared_key = var.tunnel1_preshared_key
  tunnel1_rekey_fuzz_percentage = var.tunnel1_rekey_fuzz_percentage
  tunnel1_rekey_margin_time_seconds = var.tunnel1_rekey_margin_time_seconds
  tunnel1_replay_window_size = var.tunnel1_replay_window_size
  tunnel1_startup_action = var.tunnel1_startup_action
  tunnel2_dpd_timeout_action = var.tunnel2_dpd_timeout_action
  tunnel2_dpd_timeout_seconds = var.tunnel2_dpd_timeout_seconds
  tunnel2_enable_tunnel_lifecycle_control = var.tunnel2_enable_tunnel_lifecycle_control
  tunnel2_ike_versions = var.tunnel2_ike_versions
  tunnel2_inside_cidr = var.tunnel2_inside_cidr
  tunnel2_log_options = var.tunnel2_log_options
  tunnel2_phase1_dh_group_numbers = var.tunnel2_phase1_dh_group_numbers
  tunnel2_phase1_encryption_algorithms = var.tunnel2_phase1_encryption_algorithms
  tunnel2_phase1_integrity_algorithms = var.tunnel2_phase1_integrity_algorithms
  tunnel2_phase1_lifetime_seconds = var.tunnel2_phase1_lifetime_seconds
  tunnel2_phase2_dh_group_numbers = var.tunnel2_phase2_dh_group_numbers
  tunnel2_phase2_encryption_algorithms = var.tunnel2_phase2_encryption_algorithms
  tunnel2_phase2_integrity_algorithms = var.tunnel2_phase2_integrity_algorithms
  tunnel2_phase2_lifetime_seconds = var.tunnel2_phase2_lifetime_seconds
  tunnel2_preshared_key = var.tunnel2_preshared_key
  tunnel2_rekey_fuzz_percentage = var.tunnel2_rekey_fuzz_percentage
  tunnel2_rekey_margin_time_seconds = var.tunnel2_rekey_margin_time_seconds
  tunnel2_replay_window_size = var.tunnel2_replay_window_size
  tunnel2_startup_action = var.tunnel2_startup_action
  tunnel_inside_ip_version = var.tunnel_inside_ip_version
  vpc_id = var.vpc_id
  vpc_subnet_route_table_count = var.vpc_subnet_route_table_count
  vpc_subnet_route_table_ids = var.vpc_subnet_route_table_ids
  vpn_connection_static_routes_destinations = var.vpn_connection_static_routes_destinations
  vpn_connection_static_routes_only = var.vpn_connection_static_routes_only
  vpn_gateway_id = var.vpn_gateway_id
}
